# Mini Hackathon 2020 Inspect
## 評審
* Ray (Backend)
* Roy (Frontend)
* Shen (Frontend)

## Teams
* 3 Plus: Barry, 佳柔, 佳謙
* OK 200: 耀賢, Mia, 青儀
* ACA: 笠維, James, 怡倫
* 今晚我想來點..點簽: 榮森, 家瑋, 中嘉

## Teams Summary
### 第一名: ACA
* 整體完成度最高: API, API Document, 簡報完成的質與量
* 團隊合作最順暢
* 透過 Google Sheets 線上表單來協作

### 第二名: 3 Plus
* API 幾乎都完成了, 但有少許 bug
* 甚至還考慮到安全性，額外實作了登入機制
* 竟然 API Document 寫得比 API 還少
* 簡報顯得草率
* 有完成加分題 dockerize

### 第三名: OK 200
* 跟第二名差距很微小
* 完成的 API 數較少，只做了 ok 200 的 example
* API Document 寫得很用心
* 簡報相對簡略
* 有完成加分題 heroku

### 未獲獎: 今晚我想來點..點簽
* 整體完成度最低
* 僅完成一隻 API
* 有寫單元測試
* 有完成加分題 heroku, dockerize

## Personal Summary
## ACA
* 隊員各自發揮所長，並且整合出相當的成果

### 笠維 (Android)
* 建立了協作的平台
* 在團隊中扮演磨合劑的角色

### James (Cloud)
* 盡量把大部分的 API 都實做出來
* coding 能力應該輸佳柔兩個等級，跟 James 略同
* 但還是可以硬幹出正確的結果，只是 code 很髒

### 怡倫 (Android)
* 細心的幫忙檢查資料與確認 API 問題

## 3 Plus
* 團隊合作基本上沒有放大佳柔實力，反而是削弱
* 如果只有佳柔自己一個人，成果可能會更好

### Barry (Data)
* 名義上的隊長，但卻沒有能力佈置任務與管理進度
* 負責資料匯入，但幾乎是佳柔處理的

### 佳柔 (Cloud)
* 擁有完全規格外的超強 coding 能力及 API 開發經驗
* 不主動主導團隊管理相關事務
* 有當隊長的能力，但是不主動承擔

### 佳謙 (Android)
* 覺得自己沒有做到事情
* 分配到的任務沒有反映到專案上，幾乎在做白工

## OK 200
* 完全對題目沒有事前認識，就直接上工的隊伍
* 較其他組花了更多心力討論 DB schema 但卻差不多時間完成匯入
* 以工人智慧進行資料解析

### William (Cloud)
* 擔任隊長負責佈置任務並且主力撰寫 API
* coding 能力應該輸佳柔兩個等級，跟 James 略同
* 為了專案成功，採取了比較邪道的解法

### Mia (Windows)
* 幫忙撰寫 API 文件
* 測試 API
* 製作簡報

### 青儀 (Windows)
* 幫忙撰寫 API 文件
* 測試 API

## 今晚我想來點..點簽
* 先天不良，後天失調的類型
* 做了一連串錯誤選擇的結果

### 榮森 (Cloud)
* 擔任隊長，對於團隊作戰缺乏經驗，做了許多錯誤的決策
* 團隊崩潰

### 家瑋 (Android)
* coding 能力應該與佳柔相同等級，但在比較不擅長的環境(Backend)
* 最後能端出 demo 成果: 成功 import data 及有 CRUD API
* 自己一組可能成果會更好的類型

### 中嘉 (QA)
* 我是誰? 我在哪? 我在做什麼?
* 由於沒有 API 可以寫測試，所以試著寫些 API 但是來不及
* 對於開發工作太過天真，缺乏經驗

## Period Summary
### 賽前
* 3 Plus: 稍微看了題目並討論了一下 DB Schema
* OK 200: 毫無反應
* ACA: 稍微看了題目並討論了一下分工
* 今晚我想來點..點簽: 認真的看了題目，惡補相關知識，決定了分工及 DB Schema

### 早上
* 3 Plus: 決定 DB Schema, 決定 API path
* OK 200: 看題目, 決定 DB Schema, 工人智慧, 時間字串分析
* ACA: 檢查匯入進來的資料, 時間字串分析
* 今晚我想來點..點簽: 架環境，同步開發框架測試

### 中午
* 3 Plus: 還沒開始撰寫資料匯入, API 已經大概寫完了 (茶)
* OK 200: 完成資料匯入, 開始撰寫其他相關 API
* ACA: 完成資料匯入, 開始撰寫其他相關 API
* 今晚我想來點..點簽: 完成資料匯入, 開始撰寫其他相關 API

### 簡報前 1 小時
* 3 Plus: 簡報瞎做一波，文件做不到一半，沒怎麼測試
* OK 200: 簡報做完了，API 與文件差不多完成，找簡單的加分題做最後衝刺
* ACA: 簡報做完了，API 與文件的最後確認
* 今晚我想來點..點簽: 崩潰

# 後記
* 出乎預料的由 ACA 得勝，賽前覺得 3 Plus 最有冠軍相
* OK 200 蠻可惜的，如果佳柔今天狀態差一點，可以拿到更好名次
* 當評審蠻有趣的，希望大家都有學到東西
